CrowdComputed API

LTX2 Image2Video

LTX-2 is the first DiT-based audio-video foundation model that contains all core capabilities of modern video generation in one model: synchronized audio and video, high fidelity, multiple performance modes, production-ready outputs.

POST
/api/v1/generate/ltx2-image2video

Query Parameters

mode?string

Optional. Invocation mode. Defaults to synchronous.

Value in"sync" | "async_websocket" | "async_callback"
callback?string

Required when mode=async_callback. Used to receive async results.

costLookup?boolean

Optional. Defaults to false. When true, returns the points cost without executing the task.

Header Parameters

token*string
Default""

Request Body

application/json

prompt*string

Your image description. Tell the AI what you want to see.

Default""
negativePrompt?string

What to avoid in the image. Describe what you don't want.

Default""
imageRatio*string

The shape of your image.

Default"1:1"
Value in"16:9" | "1:1" | "9:16"
imageCount*integer

The number of images to generate.

Default5

Response Body

application/json

curl -X POST "https://api.crowdcomputed.com/api/v1/generate/ltx2-image2video?mode=sync&callback=&costLookup=false" \  -H "token: " \  -H "Content-Type: application/json" \  -d '{    "prompt": "",    "imageRatio": "1:1",    "imageCount": 5  }'